Java applet terminated after closing another tab

RESOLVED WORKSFORME

Status

()

Firefox
General
--
major
RESOLVED WORKSFORME
9 years ago
7 years ago

People

(Reporter: wbrana, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [CLOSEME 2010-12-01], URL)

(Reporter)

Description

9 years ago
User-Agent:       Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.0.3) Gecko/2008092416 Firefox/3.0.3
Build Identifier: Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.0.3) Gecko/2008092416 Firefox/3.0.3

Java applet in current tab is terminated, when another tab with applet is closed

Reproducible: Always

Steps to Reproduce:
1.open in current tab URL http://www.java.com/en/download/help/testvm.xml
2.open same URL in new tab
3.close new tab
Actual Results:  
applet in current tab in terminated

Expected Results:  
applet in current tab shouldn't be terminated like in Konqueror 3.5.10

Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
WFM on Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1b1pre) Gecko/20080927033433 Minefield/3.1b1pre. However, I am not seeing the applet even starting to load on the new tab. That could be because it is already running, but it works fine for me with the steps above. Try with a new profile.
Oh, and what version of Java are you using?
(Reporter)

Comment 3

9 years ago
This bug is probably Linux-specific.
(Reporter)

Comment 4

9 years ago
It works correctly in following browsers:

64-bit Konqueror 3.5.10
32-bit Opera 9.60 Build 2436
What Java version are you using?
(Reporter)

Comment 6

9 years ago
(In reply to comment #5)
> What Java version are you using?

java version "1.6.0_07"
Java(TM) SE Runtime Environment (build 1.6.0_07-b06)
Java HotSpot(TM) Server VM (build 10.0-b23, mixed mode)

Comment 7

9 years ago
do you see this with newest FF 3.0.x and latest java?  I think it is up to level "13"
Severity: critical → major
Whiteboard: closeme 2009-04-25
(Reporter)

Comment 8

9 years ago
it works right with 3.0.x and 3.5b4pre and java level 13 if libnpjp2.so is used.
it doesn't work right if libjavaplugin_jni.so is used.

Comment 9

9 years ago
configuration issue then?  => invalid?
Whiteboard: closeme 2009-04-25
(Reporter)

Comment 10

8 years ago
There is or was bug in Firefox. 
libjavaplugin_jni.so should be blacklisted if it already isn't.
Reporter, please retest with Firefox 3.6.12 or later in a fresh profile (http://support.mozilla.com/kb/Managing+profiles). Also update your plugins (flash, adobe reader, java, quicktime, silverlight, etc.) Go to the developer's website and download the latest version from there. If you no longer see this issue, please close this bug as RESOLVED, WORKSFORME. If you do see the bug, please post a comment.
Whiteboard: [CLOSEME 2010-12-01]
(Reporter)

Updated

7 years ago
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → WORKSFORME
You need to log in before you can comment on or make changes to this bug.